Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event.trackback
Class TrackBackEvent

    java.lang.Object
      java.util.EventObject
          net.sourceforge.pebble.api.event.PebbleEvent
              net.sourceforge.pebble.api.event.trackback.TrackBackEvent

All Implemented Interfaces:
  java.io.Serializable

    public class TrackBackEvent

extends PebbleEvent

Event to signify that a TrackBack has been added/removed.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary
`static int` | `TRACKBACK_ADDED` constant representing TrackBack added type
`static int` | `TRACKBACK_APPROVED` constant representing TrackBack approved type
`static int` | `TRACKBACK_REJECTED` constant representing TrackBack rejected type
`static int` | `TRACKBACK_REMOVED` constant representing TrackBack removed type

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TrackBackEvent(TrackBack trackBack, int type)` Creates a new instance with the specified source and type.

Method Summary
`TrackBack` | `getTrackBack()` Gets the TrackBack that is the source of this event.

Methods inherited from class net.sourceforge.pebble.api.event.PebbleEvent
`getType, isVetoed, toString, veto`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRACKBACK_ADDED

    public static final int TRACKBACK_ADDED

  constant representing TrackBack added type

  See Also:
    Constant Field Values

### TRACKBACK_REMOVED

    public static final int TRACKBACK_REMOVED

  constant representing TrackBack removed type

  See Also:
    Constant Field Values

### TRACKBACK_APPROVED

    public static final int TRACKBACK_APPROVED

  constant representing TrackBack approved type

  See Also:
    Constant Field Values

### TRACKBACK_REJECTED

    public static final int TRACKBACK_REJECTED

  constant representing TrackBack rejected type

  See Also:
    Constant Field Values

Constructor Detail

### TrackBackEvent

    public TrackBackEvent(TrackBack trackBack,
                          int type)

  Creates a new instance with the specified source and type.

  Parameters:
    `trackBack` - the TrackBack that initiated this event
    `type` - the type of this event

Method Detail

### getTrackBack

    public TrackBack getTrackBack()

  Gets the TrackBack that is the source of this event.

  Returns:
    a TrackBack instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.